$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.31.72-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.31.72-BETA.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'A7564B7705F4BB5A2FAEE3BC08FD868BA3011ECE6DC4510CEDC3FDA2176B3F39'
  checksumType = 'sha256'
  checksum64 = 'A7564B7705F4BB5A2FAEE3BC08FD868BA3011ECE6DC4510CEDC3FDA2176B3F39'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.31.72-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
